Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::RestoIpoptNLP Class Reference

This class maps the traditional NLP into something that is more useful by Ipopt. More...

`#include <IpRestoIpoptNLP.hpp>`

Inheritance diagram for Ipopt::RestoIpoptNLP:
[legend]

## Public Member Functions
virtual bool | Initialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Initialize - overloaded from IpoptNLP. More...
virtual bool | InitializeStructures (SmartPtr< Vector > &x, bool init_x, SmartPtr< Vector > &y_c, bool init_y_c, SmartPtr< Vector > &y_d, bool init_y_d, SmartPtr< Vector > &z_L, bool init_z_L, SmartPtr< Vector > &z_U, bool init_z_U, SmartPtr< Vector > &v_L, SmartPtr< Vector > &v_U)
| Initialize (create) structures for the iteration data. More...
virtual bool | GetWarmStartIterate (IteratesVector &warm_start_iterate)
| Method accessing the GetWarmStartIterate of the NLP. More...
virtual void | GetSpaces (SmartPtr< const VectorSpace > &x_space, SmartPtr< const VectorSpace > &c_space, SmartPtr< const VectorSpace > &d_space, SmartPtr< const VectorSpace > &x_l_space, SmartPtr< const MatrixSpace > &px_l_space, SmartPtr< const VectorSpace > &x_u_space, SmartPtr< const MatrixSpace > &px_u_space, SmartPtr< const VectorSpace > &d_l_space, SmartPtr< const MatrixSpace > &pd_l_space, SmartPtr< const VectorSpace > &d_u_space, SmartPtr< const MatrixSpace > &pd_u_space, SmartPtr< const MatrixSpace > &Jac_c_space, SmartPtr< const MatrixSpace > &Jac_d_space, SmartPtr< const SymMatrixSpace > &Hess_lagrangian_space)
| Accessor method for vector/matrix spaces pointers. More...
virtual void | AdjustVariableBounds (const Vector &new_x_L, const Vector &new_x_U, const Vector &new_d_L, const Vector &new_d_U)
| Method for adapting the variable bounds. More...
bool | IntermediateCallBack (AlgorithmMode mode, Index iter, Number obj_value, Number inf_pr, Number inf_du, Number mu, Number d_norm, Number regularization_size, Number alpha_du, Number alpha_pr, Index ls_trials, SmartPtr< const IpoptData > ip_data, SmartPtr< IpoptCalculatedQuantities > ip_cq)
| User callback method. More...
Number | Rho () const
| Accessor Method for obtaining the Rho penalization factor for the ell_1 norm. More...
Number | Eta (Number mu) const
| Method to calculate eta, the factor for the regularization term. More...
SmartPtr< const Vector > | DR_x () const
| Method returning the scaling factors for the 2-norm penalization term. More...
Constructors/Destructors
| RestoIpoptNLP (IpoptNLP &orig_ip_nlp, IpoptData &orig_ip_data, IpoptCalculatedQuantities &orig_ip_cq)
| ~RestoIpoptNLP ()
| Default destructor. More...
void | FinalizeSolution (SolverReturn status, const Vector &x, const Vector &z_L, const Vector &z_U, const Vector &c, const Vector &d, const Vector &y_c, const Vector &y_d, Number obj_value, const IpoptData *ip_data, IpoptCalculatedQuantities *ip_cq)
| Solution Routines - overloaded from IpoptNLP. More...
virtual bool | objective_depends_on_mu () const
| Accessor methods for model data. More...
virtual Number | f (const Vector &x)
| Objective value (incorrect version for restoration phase) More...
virtual Number | f (const Vector &x, Number mu)
| Objective value. More...
virtual SmartPtr< const Vector > | grad_f (const Vector &x)
| Gradient of the objective (incorrect version for restoration phase) More...
virtual SmartPtr< const Vector > | grad_f (const Vector &x, Number mu)
| Gradient of the objective. More...
virtual SmartPtr< const Vector > | c (const Vector &x)
| Equality constraint residual. More...
virtual SmartPtr< const Matrix > | jac_c (const Vector &x)
| Jacobian Matrix for equality constraints. More...
virtual SmartPtr< const Vector > | d (const Vector &x)
| Inequality constraint residual (reformulated as equalities with slacks. More...
virtual SmartPtr< const Matrix > | jac_d (const Vector &x)
| Jacobian Matrix for inequality constraints. More...
virtual SmartPtr< const SymMatrix > | h (const Vector &x, Number obj_factor, const Vector &yc, const Vector &yd)
| Hessian of the Lagrangian (incorrect version for restoration phase) More...
virtual SmartPtr< const SymMatrix > | h (const Vector &x, Number obj_factor, const Vector &yc, const Vector &yd, Number mu)
| Hessian of the Lagrangian. More...
virtual SmartPtr< const SymMatrix > | uninitialized_h ()
| Provides a Hessian matrix from the correct matrix space with uninitialized values. More...
virtual SmartPtr< const Vector > | x_L () const
| Lower bounds on x. More...
virtual SmartPtr< const Matrix > | Px_L () const
| Permutation matrix (x_L_ -> x) More...
virtual SmartPtr< const Vector > | x_U () const
| Upper bounds on x. More...
virtual SmartPtr< const Matrix > | Px_U () const
| Permutation matrix (x_U_ -> x. More...
virtual SmartPtr< const Vector > | d_L () const
| Lower bounds on d. More...
virtual SmartPtr< const Matrix > | Pd_L () const
| Permutation matrix (d_L_ -> d) More...
virtual SmartPtr< const Vector > | d_U () const
| Upper bounds on d. More...
virtual SmartPtr< const Matrix > | Pd_U () const
| Permutation matrix (d_U_ -> d. More...
virtual SmartPtr< const SymMatrixSpace > | HessianMatrixSpace () const
| Accessor method to obtain the MatrixSpace for the Hessian matrix (or it's approximation) More...
virtual SmartPtr< const VectorSpace > | x_space () const
| x_space More...
Accessor method for the information of the original NLP.
These methods are not overloaded from IpoptNLP
IpoptNLP & | OrigIpNLP () const
IpoptData & | OrigIpData () const
IpoptCalculatedQuantities & | OrigIpCq () const
Counters for the number of function evaluations.
virtual Index | f_evals () const
virtual Index | grad_f_evals () const
virtual Index | c_evals () const
virtual Index | jac_c_evals () const
virtual Index | d_evals () const
virtual Index | jac_d_evals () const
virtual Index | h_evals () const
Public Member Functions inherited from Ipopt::IpoptNLP
SmartPtr< NLPScalingObject > | NLP_scaling () const
| Returns the scaling strategy object. More...
| IpoptNLP (const SmartPtr< NLPScalingObject > nlp_scaling)
virtual | ~IpoptNLP ()
| Default destructor. More...
| DECLARE_STD_EXCEPTION (Eval_Error)
| thrown if there is any error evaluating values from the nlp More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods for IpoptType. More...

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| RestoIpoptNLP ()
| Default Constructor. More...
| RestoIpoptNLP (const RestoIpoptNLP &)
| Copy Constructor. More...
void | operator= (const RestoIpoptNLP &)
| Overloaded Equals Operator. More...

## Private Attributes
bool | initialized_
| Flag indicating if initialization method has been called. More...
Pointers for the original NLP information.
SmartPtr< IpoptNLP > | orig_ip_nlp_
| Pointer to the original IpoptNLP. More...
SmartPtr< IpoptData > | orig_ip_data_
| Pointer to the original IpoptData. More...
SmartPtr < IpoptCalculatedQuantities > | orig_ip_cq_
| Pointer to the original IpoptCalculatedQuantities. More...
SmartPtr< CompoundVectorSpace > | x_space_
| Necessary Vector/Matrix spaces. More...
SmartPtr< CompoundVectorSpace > | c_space_
SmartPtr< CompoundVectorSpace > | d_space_
SmartPtr< CompoundVectorSpace > | x_l_space_
SmartPtr< CompoundMatrixSpace > | px_l_space_
SmartPtr< CompoundVectorSpace > | x_u_space_
SmartPtr< CompoundMatrixSpace > | px_u_space_
SmartPtr< CompoundVectorSpace > | d_l_space_
SmartPtr< CompoundMatrixSpace > | pd_l_space_
SmartPtr< CompoundVectorSpace > | d_u_space_
SmartPtr< CompoundMatrixSpace > | pd_u_space_
SmartPtr< CompoundMatrixSpace > | jac_c_space_
SmartPtr< CompoundMatrixSpace > | jac_d_space_
SmartPtr< CompoundSymMatrixSpace > | h_space_
Storage for Model Quantities
SmartPtr< CompoundVector > | x_L_
| Lower bounds on x. More...
SmartPtr< CompoundMatrix > | Px_L_
| Permutation matrix (x_L_ -> x) More...
SmartPtr< CompoundVector > | x_U_
| Upper bounds on x. More...
SmartPtr< CompoundMatrix > | Px_U_
| Permutation matrix (x_U_ -> x) More...
SmartPtr< CompoundVector > | d_L_
| Lower bounds on d. More...
SmartPtr< CompoundMatrix > | Pd_L_
| Permutation matrix (d_L_ -> d) More...
SmartPtr< CompoundVector > | d_U_
| Upper bounds on d. More...
SmartPtr< CompoundMatrix > | Pd_U_
| Permutation matrix (d_U_ -> d. More...
Values particular to the restoration phase problem statement
Number | rho_
| Penalty parameter for the $l_1$ norm. More...
Number | eta_factor_
| scaling factor for eta calculation More...
Number | eta_mu_exponent_
| exponent for mu in eta calculation More...
SmartPtr< Vector > | dr_x_
| Scaling factors for the $x$ part of the regularization term. More...
SmartPtr< DiagMatrix > | DR_x_
SmartPtr< Vector > | x_ref_
| $x$ part of the reference point in the regularization term More...
Algorithmic parameter
bool | evaluate_orig_obj_at_resto_trial_
| Flag indicating if evalution of the objective should be performed for every restoration phase objective function evaluation. More...
HessianApproximationType | hessian_approximation_
| Flag indicating how hessian information is obtained. More...
Counters for the function evaluations
Index | f_evals_
Index | grad_f_evals_
Index | c_evals_
Index | jac_c_evals_
Index | d_evals_
Index | jac_d_evals_
Index | h_evals_

## Detailed Description

This class maps the traditional NLP into something that is more useful by Ipopt.

This class takes care of storing the calculated model results, handles cacheing, and (some day) takes care of addition of slacks.

Definition at line 32 of file IpRestoIpoptNLP.hpp.

## Constructor & Destructor Documentation

Ipopt::RestoIpoptNLP::RestoIpoptNLP | ( | IpoptNLP & | orig_ip_nlp,
|  | IpoptData & | orig_ip_data,
|  | IpoptCalculatedQuantities & | orig_ip_cq
| ) |  |

Ipopt::RestoIpoptNLP::~RestoIpoptNLP | ( |  | ) |

Default destructor.

Ipopt::RestoIpoptNLP::RestoIpoptNLP | ( |  | ) |
| private

Default Constructor.

Ipopt::RestoIpoptNLP::RestoIpoptNLP | ( | const RestoIpoptNLP & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::RestoIpoptNLP::Initialize | ( | const Journalist & | jnlst,
|  | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

Initialize - overloaded from IpoptNLP.

Reimplemented from Ipopt::IpoptNLP.

virtual bool Ipopt::RestoIpoptNLP::InitializeStructures | ( | SmartPtr< Vector > & | x,
|  | bool | init_x,
|  | SmartPtr< Vector > & | y_c,
|  | bool | init_y_c,
|  | SmartPtr< Vector > & | y_d,
|  | bool | init_y_d,
|  | SmartPtr< Vector > & | z_L,
|  | bool | init_z_L,
|  | SmartPtr< Vector > & | z_U,
|  | bool | init_z_U,
|  | SmartPtr< Vector > & | v_L,
|  | SmartPtr< Vector > & | v_U
| ) |  |
| virtual

Initialize (create) structures for the iteration data.

Implements Ipopt::IpoptNLP.

virtual bool Ipopt::RestoIpoptNLP::GetWarmStartIterate | ( | IteratesVector & | warm_start_iterate | ) |
| inline virtual

Method accessing the GetWarmStartIterate of the NLP.

Implements Ipopt::IpoptNLP.

Definition at line 67 of file IpRestoIpoptNLP.hpp.

void Ipopt::RestoIpoptNLP::FinalizeSolution | ( | SolverReturn | status,
|  | const Vector & | x,
|  | const Vector & | z_L,
|  | const Vector & | z_U,
|  | const Vector & | c,
|  | const Vector & | d,
|  | const Vector & | y_c,
|  | const Vector & | y_d,
|  | Number | obj_value,
|  | const IpoptData * | ip_data,
|  | IpoptCalculatedQuantities * | ip_cq
| ) |  |
| inline virtual

Solution Routines - overloaded from IpoptNLP.

Implements Ipopt::IpoptNLP.

Definition at line 74 of file IpRestoIpoptNLP.hpp.

virtual bool Ipopt::RestoIpoptNLP::objective_depends_on_mu | ( |  | ) | const
| inline virtual

Accessor methods for model data.

Method for telling IpoptCalculatedQuantities that the restoration phase objective function depends on the barrier parameter

Reimplemented from Ipopt::IpoptNLP.

Definition at line 89 of file IpRestoIpoptNLP.hpp.

virtual Number Ipopt::RestoIpoptNLP::f | ( | const Vector & | x | ) |
| virtual

Objective value (incorrect version for restoration phase)

Implements Ipopt::IpoptNLP.

virtual Number Ipopt::RestoIpoptNLP::f | ( | const Vector & | x,
|  | Number | mu
| ) |  |
| virtual

Objective value.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Vector> Ipopt::RestoIpoptNLP::grad_f | ( | const Vector & | x | ) |
| virtual

Gradient of the objective (incorrect version for restoration phase)

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Vector> Ipopt::RestoIpoptNLP::grad_f | ( | const Vector & | x,
|  | Number | mu
| ) |  |
| virtual

Gradient of the objective.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Vector> Ipopt::RestoIpoptNLP::c | ( | const Vector & | x | ) |
| virtual

Equality constraint residual.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Matrix> Ipopt::RestoIpoptNLP::jac_c | ( | const Vector & | x | ) |
| virtual

Jacobian Matrix for equality constraints.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Vector> Ipopt::RestoIpoptNLP::d | ( | const Vector & | x | ) |
| virtual

Inequality constraint residual (reformulated as equalities with slacks.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Matrix> Ipopt::RestoIpoptNLP::jac_d | ( | const Vector & | x | ) |
| virtual

Jacobian Matrix for inequality constraints.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const SymMatrix> Ipopt::RestoIpoptNLP::h | ( | const Vector & | x,
|  | Number | obj_factor,
|  | const Vector & | yc,
|  | const Vector & | yd
| ) |  |
| virtual

Hessian of the Lagrangian (incorrect version for restoration phase)

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const SymMatrix> Ipopt::RestoIpoptNLP::h | ( | const Vector & | x,
|  | Number | obj_factor,
|  | const Vector & | yc,
|  | const Vector & | yd,
|  | Number | mu
| ) |  |
| virtual

Hessian of the Lagrangian.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const SymMatrix> Ipopt::RestoIpoptNLP::uninitialized_h | ( |  | ) |
| virtual

Provides a Hessian matrix from the correct matrix space with uninitialized values.

This can be used in LeastSquareMults to obtain a "zero Hessian".

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Vector> Ipopt::RestoIpoptNLP::x_L | ( |  | ) | const
| inline virtual

Lower bounds on x.

Implements Ipopt::IpoptNLP.

Definition at line 140 of file IpRestoIpoptNLP.hpp.

virtual SmartPtr<const Matrix> Ipopt::RestoIpoptNLP::Px_L | ( |  | ) | const
| inline virtual

Permutation matrix (x_L_ -> x)

Implements Ipopt::IpoptNLP.

Definition at line 146 of file IpRestoIpoptNLP.hpp.

virtual SmartPtr<const Vector> Ipopt::RestoIpoptNLP::x_U | ( |  | ) | const
| inline virtual

Upper bounds on x.

Implements Ipopt::IpoptNLP.

Definition at line 152 of file IpRestoIpoptNLP.hpp.

virtual SmartPtr<const Matrix> Ipopt::RestoIpoptNLP::Px_U | ( |  | ) | const
| inline virtual

Permutation matrix (x_U_ -> x.

Implements Ipopt::IpoptNLP.

Definition at line 158 of file IpRestoIpoptNLP.hpp.

virtual SmartPtr<const Vector> Ipopt::RestoIpoptNLP::d_L | ( |  | ) | const
| inline virtual

Lower bounds on d.

Implements Ipopt::IpoptNLP.

Definition at line 164 of file IpRestoIpoptNLP.hpp.

virtual SmartPtr<const Matrix> Ipopt::RestoIpoptNLP::Pd_L | ( |  | ) | const
| inline virtual

Permutation matrix (d_L_ -> d)

Implements Ipopt::IpoptNLP.

Definition at line 170 of file IpRestoIpoptNLP.hpp.

virtual SmartPtr<const Vector> Ipopt::RestoIpoptNLP::d_U | ( |  | ) | const
| inline virtual

Upper bounds on d.

Implements Ipopt::IpoptNLP.

Definition at line 176 of file IpRestoIpoptNLP.hpp.

virtual SmartPtr<const Matrix> Ipopt::RestoIpoptNLP::Pd_U | ( |  | ) | const
| inline virtual

Permutation matrix (d_U_ -> d.

Implements Ipopt::IpoptNLP.

Definition at line 182 of file IpRestoIpoptNLP.hpp.

virtual SmartPtr<const SymMatrixSpace> Ipopt::RestoIpoptNLP::HessianMatrixSpace | ( |  | ) | const
| inline virtual

Accessor method to obtain the MatrixSpace for the Hessian matrix (or it's approximation)

Implements Ipopt::IpoptNLP.

Definition at line 187 of file IpRestoIpoptNLP.hpp.

virtual SmartPtr<const VectorSpace> Ipopt::RestoIpoptNLP::x_space | ( |  | ) | const
| inline virtual

x_space

Implements Ipopt::IpoptNLP.

Definition at line 192 of file IpRestoIpoptNLP.hpp.

virtual void Ipopt::RestoIpoptNLP::GetSpaces | ( | SmartPtr< const VectorSpace > & | x_space,
|  | SmartPtr< const VectorSpace > & | c_space,
|  | SmartPtr< const VectorSpace > & | d_space,
|  | SmartPtr< const VectorSpace > & | x_l_space,
|  | SmartPtr< const MatrixSpace > & | px_l_space,
|  | SmartPtr< const VectorSpace > & | x_u_space,
|  | SmartPtr< const MatrixSpace > & | px_u_space,
|  | SmartPtr< const VectorSpace > & | d_l_space,
|  | SmartPtr< const MatrixSpace > & | pd_l_space,
|  | SmartPtr< const VectorSpace > & | d_u_space,
|  | SmartPtr< const MatrixSpace > & | pd_u_space,
|  | SmartPtr< const MatrixSpace > & | Jac_c_space,
|  | SmartPtr< const MatrixSpace > & | Jac_d_space,
|  | SmartPtr< const SymMatrixSpace > & | Hess_lagrangian_space
| ) |  |
| virtual

Accessor method for vector/matrix spaces pointers.

Implements Ipopt::IpoptNLP.

virtual void Ipopt::RestoIpoptNLP::AdjustVariableBounds | ( | const Vector & | new_x_L,
|  | const Vector & | new_x_U,
|  | const Vector & | new_d_L,
|  | const Vector & | new_d_U
| ) |  |
| virtual

Method for adapting the variable bounds.

This is called if slacks are becoming too small

Implements Ipopt::IpoptNLP.

bool Ipopt::RestoIpoptNLP::IntermediateCallBack | ( | AlgorithmMode | mode,
|  | Index | iter,
|  | Number | obj_value,
|  | Number | inf_pr,
|  | Number | inf_du,
|  | Number | mu,
|  | Number | d_norm,
|  | Number | regularization_size,
|  | Number | alpha_du,
|  | Number | alpha_pr,
|  | Index | ls_trials,
|  | SmartPtr< const IpoptData > | ip_data,
|  | SmartPtr< IpoptCalculatedQuantities > | ip_cq
| ) |  |
| virtual

User callback method.

Implements Ipopt::IpoptNLP.

IpoptNLP& Ipopt::RestoIpoptNLP::OrigIpNLP | ( |  | ) | const
| inline

Definition at line 234 of file IpRestoIpoptNLP.hpp.

IpoptData& Ipopt::RestoIpoptNLP::OrigIpData | ( |  | ) | const
| inline

Definition at line 238 of file IpRestoIpoptNLP.hpp.

IpoptCalculatedQuantities& Ipopt::RestoIpoptNLP::OrigIpCq | ( |  | ) | const
| inline

Definition at line 242 of file IpRestoIpoptNLP.hpp.

Number Ipopt::RestoIpoptNLP::Rho | ( |  | ) | const
| inline

Accessor Method for obtaining the Rho penalization factor for the ell_1 norm.

Definition at line 250 of file IpRestoIpoptNLP.hpp.

virtual Index Ipopt::RestoIpoptNLP::f_evals | ( |  | ) | const
| inline virtual

Implements Ipopt::IpoptNLP.

Definition at line 257 of file IpRestoIpoptNLP.hpp.

virtual Index Ipopt::RestoIpoptNLP::grad_f_evals | ( |  | ) | const
| inline virtual

Implements Ipopt::IpoptNLP.

Definition at line 261 of file IpRestoIpoptNLP.hpp.

virtual Index Ipopt::RestoIpoptNLP::c_evals | ( |  | ) | const
| inline virtual

Implements Ipopt::IpoptNLP.

Definition at line 265 of file IpRestoIpoptNLP.hpp.

virtual Index Ipopt::RestoIpoptNLP::jac_c_evals | ( |  | ) | const
| inline virtual

Implements Ipopt::IpoptNLP.

Definition at line 269 of file IpRestoIpoptNLP.hpp.

virtual Index Ipopt::RestoIpoptNLP::d_evals | ( |  | ) | const
| inline virtual

Implements Ipopt::IpoptNLP.

Definition at line 273 of file IpRestoIpoptNLP.hpp.

virtual Index Ipopt::RestoIpoptNLP::jac_d_evals | ( |  | ) | const
| inline virtual

Implements Ipopt::IpoptNLP.

Definition at line 277 of file IpRestoIpoptNLP.hpp.

virtual Index Ipopt::RestoIpoptNLP::h_evals | ( |  | ) | const
| inline virtual

Implements Ipopt::IpoptNLP.

Definition at line 281 of file IpRestoIpoptNLP.hpp.

Number Ipopt::RestoIpoptNLP::Eta | ( | Number | mu | ) | const

Method to calculate eta, the factor for the regularization term.

SmartPtr<const Vector> Ipopt::RestoIpoptNLP::DR_x | ( |  | ) | const
| inline

Method returning the scaling factors for the 2-norm penalization term.

Definition at line 292 of file IpRestoIpoptNLP.hpp.

static void Ipopt::RestoIpoptNLP::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) |
| static

Methods for IpoptType.

Called by IpoptType to register the options

void Ipopt::RestoIpoptNLP::operator= | ( | const RestoIpoptNLP & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<IpoptNLP> Ipopt::RestoIpoptNLP::orig_ip_nlp_
| private

Pointer to the original IpoptNLP.

Definition at line 307 of file IpRestoIpoptNLP.hpp.

SmartPtr<IpoptData> Ipopt::RestoIpoptNLP::orig_ip_data_
| private

Pointer to the original IpoptData.

Definition at line 310 of file IpRestoIpoptNLP.hpp.

SmartPtr<IpoptCalculatedQuantities> Ipopt::RestoIpoptNLP::orig_ip_cq_
| private

Pointer to the original IpoptCalculatedQuantities.

Definition at line 313 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundVectorSpace> Ipopt::RestoIpoptNLP::x_space_
| private

Necessary Vector/Matrix spaces.

Definition at line 318 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundVectorSpace> Ipopt::RestoIpoptNLP::c_space_
| private

Definition at line 320 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundVectorSpace> Ipopt::RestoIpoptNLP::d_space_
| private

Definition at line 322 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundVectorSpace> Ipopt::RestoIpoptNLP::x_l_space_
| private

Definition at line 324 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundMatrixSpace> Ipopt::RestoIpoptNLP::px_l_space_
| private

Definition at line 326 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundVectorSpace> Ipopt::RestoIpoptNLP::x_u_space_
| private

Definition at line 328 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundMatrixSpace> Ipopt::RestoIpoptNLP::px_u_space_
| private

Definition at line 330 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundVectorSpace> Ipopt::RestoIpoptNLP::d_l_space_
| private

Definition at line 332 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundMatrixSpace> Ipopt::RestoIpoptNLP::pd_l_space_
| private

Definition at line 334 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundVectorSpace> Ipopt::RestoIpoptNLP::d_u_space_
| private

Definition at line 336 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundMatrixSpace> Ipopt::RestoIpoptNLP::pd_u_space_
| private

Definition at line 338 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundMatrixSpace> Ipopt::RestoIpoptNLP::jac_c_space_
| private

Definition at line 340 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundMatrixSpace> Ipopt::RestoIpoptNLP::jac_d_space_
| private

Definition at line 342 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundSymMatrixSpace> Ipopt::RestoIpoptNLP::h_space_
| private

Definition at line 344 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundVector> Ipopt::RestoIpoptNLP::x_L_
| private

Lower bounds on x.

Definition at line 350 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundMatrix> Ipopt::RestoIpoptNLP::Px_L_
| private

Permutation matrix (x_L_ -> x)

Definition at line 353 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundVector> Ipopt::RestoIpoptNLP::x_U_
| private

Upper bounds on x.

Definition at line 356 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundMatrix> Ipopt::RestoIpoptNLP::Px_U_
| private

Permutation matrix (x_U_ -> x)

Definition at line 359 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundVector> Ipopt::RestoIpoptNLP::d_L_
| private

Lower bounds on d.

Definition at line 362 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundMatrix> Ipopt::RestoIpoptNLP::Pd_L_
| private

Permutation matrix (d_L_ -> d)

Definition at line 365 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundVector> Ipopt::RestoIpoptNLP::d_U_
| private

Upper bounds on d.

Definition at line 368 of file IpRestoIpoptNLP.hpp.

SmartPtr<CompoundMatrix> Ipopt::RestoIpoptNLP::Pd_U_
| private

Permutation matrix (d_U_ -> d.

Definition at line 371 of file IpRestoIpoptNLP.hpp.

Number Ipopt::RestoIpoptNLP::rho_
| private

Penalty parameter for the $l_1$ norm.

Definition at line 378 of file IpRestoIpoptNLP.hpp.

Number Ipopt::RestoIpoptNLP::eta_factor_
| private

scaling factor for eta calculation

Definition at line 380 of file IpRestoIpoptNLP.hpp.

Number Ipopt::RestoIpoptNLP::eta_mu_exponent_
| private

exponent for mu in eta calculation

Definition at line 382 of file IpRestoIpoptNLP.hpp.

SmartPtr<Vector> Ipopt::RestoIpoptNLP::dr_x_
| private

Scaling factors for the $x$ part of the regularization term.

Definition at line 385 of file IpRestoIpoptNLP.hpp.

SmartPtr<DiagMatrix> Ipopt::RestoIpoptNLP::DR_x_
| private

Definition at line 386 of file IpRestoIpoptNLP.hpp.

SmartPtr<Vector> Ipopt::RestoIpoptNLP::x_ref_
| private

$x$ part of the reference point in the regularization term

Definition at line 388 of file IpRestoIpoptNLP.hpp.

bool Ipopt::RestoIpoptNLP::evaluate_orig_obj_at_resto_trial_
| private

Flag indicating if evalution of the objective should be performed for every restoration phase objective function evaluation.

Definition at line 414 of file IpRestoIpoptNLP.hpp.

HessianApproximationType Ipopt::RestoIpoptNLP::hessian_approximation_
| private

Flag indicating how hessian information is obtained.

Definition at line 416 of file IpRestoIpoptNLP.hpp.

bool Ipopt::RestoIpoptNLP::initialized_
| private

Flag indicating if initialization method has been called.

Definition at line 420 of file IpRestoIpoptNLP.hpp.

Index Ipopt::RestoIpoptNLP::f_evals_
| private

Definition at line 424 of file IpRestoIpoptNLP.hpp.

Index Ipopt::RestoIpoptNLP::grad_f_evals_
| private

Definition at line 425 of file IpRestoIpoptNLP.hpp.

Index Ipopt::RestoIpoptNLP::c_evals_
| private

Definition at line 426 of file IpRestoIpoptNLP.hpp.

Index Ipopt::RestoIpoptNLP::jac_c_evals_
| private

Definition at line 427 of file IpRestoIpoptNLP.hpp.

Index Ipopt::RestoIpoptNLP::d_evals_
| private

Definition at line 428 of file IpRestoIpoptNLP.hpp.

Index Ipopt::RestoIpoptNLP::jac_d_evals_
| private

Definition at line 429 of file IpRestoIpoptNLP.hpp.

Index Ipopt::RestoIpoptNLP::h_evals_
| private

Definition at line 430 of file IpRestoIpoptNLP.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/IpRestoIpoptNLP.hpp